--- a/drivers/pcmcia/i82365.c
+++ b/drivers/pcmcia/i82365.c
@@ -66,7 +66,7 @@
 
 #ifdef DEBUG
 static const char version[] =
-"i82365.c 1.265 1999/11/10 18:36:21 (David Hinds)";
+    "i82365.c 1.265 1999/11/10 18:36:21 (David Hinds)";
 
 static int pc_debug;
 
@@ -83,10 +83,10 @@ module_param(pc_debug, int, 0644);
 static irqreturn_t i365_count_irq(int, void *, struct pt_regs *);
 static inline int _check_irq(int irq, int flags)
 {
-    if (request_irq(irq, i365_count_irq, flags, "x", i365_count_irq) != 0)
-	return -1;
-    free_irq(irq, i365_count_irq);
-    return 0;
+	if (request_irq(irq, i365_count_irq, flags, "x", i365_count_irq) != 0)
+		return -1;
+	free_irq(irq, i365_count_irq);
+	return 0;
 }
 
 /*====================================================================*/
@@ -153,31 +153,31 @@ module_param(recov_time, int, 0444);
 /*====================================================================*/
 
 typedef struct cirrus_state_t {
-    u_char		misc1, misc2;
-    u_char		timer[6];
+	u_char misc1, misc2;
+	u_char timer[6];
 } cirrus_state_t;
 
 typedef struct vg46x_state_t {
-    u_char		ctl, ema;
+	u_char ctl, ema;
 } vg46x_state_t;
 
 struct i82365_socket {
-    u_short		type, flags;
-    struct pcmcia_socket	socket;
-    unsigned int	number;
-    kio_addr_t		ioaddr;
-    u_short		psock;
-    u_char		cs_irq, intr;
-    union {
-	cirrus_state_t		cirrus;
-	vg46x_state_t		vg46x;
-    } state;
+	u_short type, flags;
+	struct pcmcia_socket socket;
+	unsigned int number;
+	kio_addr_t ioaddr;
+	u_short psock;
+	u_char cs_irq, intr;
+	union {
+		cirrus_state_t cirrus;
+		vg46x_state_t vg46x;
+	} state;
 };
 
 /* Where we keep track of our sockets... */
 static int sockets = 0;
 static struct i82365_socket socket[8] = {
-    { 0, }, /* ... */
+	{0,},			/* ... */
 };
 
 /* Default ISA interrupt mask */
@@ -194,9 +194,9 @@ static struct timer_list poll_timer;
 
 /* These definitions must match the pcic table! */
 typedef enum pcic_id {
-    IS_I82365A, IS_I82365B, IS_I82365DF,
-    IS_IBM, IS_RF5Cx96, IS_VLSI, IS_VG468, IS_VG469,
-    IS_PD6710, IS_PD672X, IS_VT83C469,
+	IS_I82365A, IS_I82365B, IS_I82365DF,
+	IS_IBM, IS_RF5Cx96, IS_VLSI, IS_VG468, IS_VG469,
+	IS_PD6710, IS_PD672X, IS_VT83C469,
 } pcic_id;
 
 /* Flags for classifying groups of controllers */
@@ -210,22 +210,22 @@ typedef enum pcic_id {
 #define IS_ALIVE	0x8000
 
 typedef struct pcic_t {
-    char		*name;
-    u_short		flags;
+	char *name;
+	u_short flags;
 } pcic_t;
 
 static pcic_t pcic[] = {
-    { "Intel i82365sl A step", 0 },
-    { "Intel i82365sl B step", 0 },
-    { "Intel i82365sl DF", IS_DF_PWR },
-    { "IBM Clone", 0 },
-    { "Ricoh RF5C296/396", 0 },
-    { "VLSI 82C146", 0 },
-    { "Vadem VG-468", IS_VADEM },
-    { "Vadem VG-469", IS_VADEM|IS_VG_PWR },
-    { "Cirrus PD6710", IS_CIRRUS },
-    { "Cirrus PD672x", IS_CIRRUS },
-    { "VIA VT83C469", IS_CIRRUS|IS_VIA },
+	{"Intel i82365sl A step", 0},
+	{"Intel i82365sl B step", 0},
+	{"Intel i82365sl DF", IS_DF_PWR},
+	{"IBM Clone", 0},
+	{"Ricoh RF5C296/396", 0},
+	{"VLSI 82C146", 0},
+	{"Vadem VG-468", IS_VADEM},
+	{"Vadem VG-469", IS_VADEM | IS_VG_PWR},
+	{"Cirrus PD6710", IS_CIRRUS},
+	{"Cirrus PD672x", IS_CIRRUS},
+	{"VIA VT83C469", IS_CIRRUS | IS_VIA},
 };
 
 #define PCIC_COUNT	(sizeof(pcic)/sizeof(pcic_t))
@@ -236,66 +236,68 @@ static DEFINE_SPINLOCK(bus_lock);
 
 static u_char i365_get(u_short sock, u_short reg)
 {
-    unsigned long flags;
-    spin_lock_irqsave(&bus_lock,flags);
-    {
-	kio_addr_t port = socket[sock].ioaddr;
-	u_char val;
-	reg = I365_REG(socket[sock].psock, reg);
-	outb(reg, port); val = inb(port+1);
-	spin_unlock_irqrestore(&bus_lock,flags);
-	return val;
-    }
+	unsigned long flags;
+	spin_lock_irqsave(&bus_lock, flags);
+	{
+		kio_addr_t port = socket[sock].ioaddr;
+		u_char val;
+		reg = I365_REG(socket[sock].psock, reg);
+		outb(reg, port);
+		val = inb(port + 1);
+		spin_unlock_irqrestore(&bus_lock, flags);
+		return val;
+	}
 }
 
 static void i365_set(u_short sock, u_short reg, u_char data)
 {
-    unsigned long flags;
-    spin_lock_irqsave(&bus_lock,flags);
-    {
-	kio_addr_t port = socket[sock].ioaddr;
-	u_char val = I365_REG(socket[sock].psock, reg);
-	outb(val, port); outb(data, port+1);
-	spin_unlock_irqrestore(&bus_lock,flags);
-    }
+	unsigned long flags;
+	spin_lock_irqsave(&bus_lock, flags);
+	{
+		kio_addr_t port = socket[sock].ioaddr;
+		u_char val = I365_REG(socket[sock].psock, reg);
+		outb(val, port);
+		outb(data, port + 1);
+		spin_unlock_irqrestore(&bus_lock, flags);
+	}
 }
 
 static void i365_bset(u_short sock, u_short reg, u_char mask)
 {
-    u_char d = i365_get(sock, reg);
-    d |= mask;
-    i365_set(sock, reg, d);
+	u_char d = i365_get(sock, reg);
+	d |= mask;
+	i365_set(sock, reg, d);
 }
 
 static void i365_bclr(u_short sock, u_short reg, u_char mask)
 {
-    u_char d = i365_get(sock, reg);
-    d &= ~mask;
-    i365_set(sock, reg, d);
+	u_char d = i365_get(sock, reg);
+	d &= ~mask;
+	i365_set(sock, reg, d);
 }
 
 static void i365_bflip(u_short sock, u_short reg, u_char mask, int b)
 {
-    u_char d = i365_get(sock, reg);
-    if (b)
-	d |= mask;
-    else
-	d &= ~mask;
-    i365_set(sock, reg, d);
+	u_char d = i365_get(sock, reg);
+	if (b)
+		d |= mask;
+	else
+		d &= ~mask;
+	i365_set(sock, reg, d);
 }
 
 static u_short i365_get_pair(u_short sock, u_short reg)
 {
-    u_short a, b;
-    a = i365_get(sock, reg);
-    b = i365_get(sock, reg+1);
-    return (a + (b<<8));
+	u_short a, b;
+	a = i365_get(sock, reg);
+	b = i365_get(sock, reg + 1);
+	return (a + (b << 8));
 }
 
 static void i365_set_pair(u_short sock, u_short reg, u_short data)
 {
-    i365_set(sock, reg, data & 0xff);
-    i365_set(sock, reg+1, data >> 8);
+	i365_set(sock, reg, data & 0xff);
+	i365_set(sock, reg + 1, data >> 8);
 }
 
 /*======================================================================
@@ -313,78 +315,81 @@ static void i365_set_pair(u_short sock, 
 
 static void cirrus_get_state(u_short s)
 {
-    int i;
-    cirrus_state_t *p = &socket[s].state.cirrus;
-    p->misc1 = i365_get(s, PD67_MISC_CTL_1);
-    p->misc1 &= (PD67_MC1_MEDIA_ENA | PD67_MC1_INPACK_ENA);
-    p->misc2 = i365_get(s, PD67_MISC_CTL_2);
-    for (i = 0; i < 6; i++)
-	p->timer[i] = i365_get(s, PD67_TIME_SETUP(0)+i);
+	int i;
+	cirrus_state_t *p = &socket[s].state.cirrus;
+	p->misc1 = i365_get(s, PD67_MISC_CTL_1);
+	p->misc1 &= (PD67_MC1_MEDIA_ENA | PD67_MC1_INPACK_ENA);
+	p->misc2 = i365_get(s, PD67_MISC_CTL_2);
+	for (i = 0; i < 6; i++)
+		p->timer[i] = i365_get(s, PD67_TIME_SETUP(0) + i);
 }
 
 static void cirrus_set_state(u_short s)
 {
-    int i;
-    u_char misc;
-    cirrus_state_t *p = &socket[s].state.cirrus;
-
-    misc = i365_get(s, PD67_MISC_CTL_2);
-    i365_set(s, PD67_MISC_CTL_2, p->misc2);
-    if (misc & PD67_MC2_SUSPEND) mdelay(50);
-    misc = i365_get(s, PD67_MISC_CTL_1);
-    misc &= ~(PD67_MC1_MEDIA_ENA | PD67_MC1_INPACK_ENA);
-    i365_set(s, PD67_MISC_CTL_1, misc | p->misc1);
-    for (i = 0; i < 6; i++)
-	i365_set(s, PD67_TIME_SETUP(0)+i, p->timer[i]);
+	int i;
+	u_char misc;
+	cirrus_state_t *p = &socket[s].state.cirrus;
+
+	misc = i365_get(s, PD67_MISC_CTL_2);
+	i365_set(s, PD67_MISC_CTL_2, p->misc2);
+	if (misc & PD67_MC2_SUSPEND)
+		mdelay(50);
+	misc = i365_get(s, PD67_MISC_CTL_1);
+	misc &= ~(PD67_MC1_MEDIA_ENA | PD67_MC1_INPACK_ENA);
+	i365_set(s, PD67_MISC_CTL_1, misc | p->misc1);
+	for (i = 0; i < 6; i++)
+		i365_set(s, PD67_TIME_SETUP(0) + i, p->timer[i]);
 }
 
 static u_int __init cirrus_set_opts(u_short s, char *buf)
 {
-    struct i82365_socket *t = &socket[s];
-    cirrus_state_t *p = &socket[s].state.cirrus;
-    u_int mask = 0xffff;
-
-    if (has_ring == -1) has_ring = 1;
-    flip(p->misc2, PD67_MC2_IRQ15_RI, has_ring);
-    flip(p->misc2, PD67_MC2_DYNAMIC_MODE, dynamic_mode);
-    flip(p->misc2, PD67_MC2_FREQ_BYPASS, freq_bypass);
-    if (p->misc2 & PD67_MC2_IRQ15_RI)
-	strcat(buf, " [ring]");
-    if (p->misc2 & PD67_MC2_DYNAMIC_MODE)
-	strcat(buf, " [dyn mode]");
-    if (p->misc2 & PD67_MC2_FREQ_BYPASS)
-	strcat(buf, " [freq bypass]");
-    if (p->misc1 & PD67_MC1_INPACK_ENA)
-	strcat(buf, " [inpack]");
-    if (p->misc2 & PD67_MC2_IRQ15_RI)
-	mask &= ~0x8000;
-    if (has_led > 0) {
-	strcat(buf, " [led]");
-	mask &= ~0x1000;
-    }
-    if (has_dma > 0) {
-	strcat(buf, " [dma]");
-	mask &= ~0x0600;
-    }
-    if (!(t->flags & IS_VIA)) {
-	if (setup_time >= 0)
-	    p->timer[0] = p->timer[3] = setup_time;
-	if (cmd_time > 0) {
-	    p->timer[1] = cmd_time;
-	    p->timer[4] = cmd_time*2+4;
-	}
-	if (p->timer[1] == 0) {
-	    p->timer[1] = 6; p->timer[4] = 16;
-	    if (p->timer[0] == 0)
-		p->timer[0] = p->timer[3] = 1;
-	}
-	if (recov_time >= 0)
-	    p->timer[2] = p->timer[5] = recov_time;
-	buf += strlen(buf);
-	sprintf(buf, " [%d/%d/%d] [%d/%d/%d]", p->timer[0], p->timer[1],
-		p->timer[2], p->timer[3], p->timer[4], p->timer[5]);
-    }
-    return mask;
+	struct i82365_socket *t = &socket[s];
+	cirrus_state_t *p = &socket[s].state.cirrus;
+	u_int mask = 0xffff;
+
+	if (has_ring == -1)
+		has_ring = 1;
+	flip(p->misc2, PD67_MC2_IRQ15_RI, has_ring);
+	flip(p->misc2, PD67_MC2_DYNAMIC_MODE, dynamic_mode);
+	flip(p->misc2, PD67_MC2_FREQ_BYPASS, freq_bypass);
+	if (p->misc2 & PD67_MC2_IRQ15_RI)
+		strcat(buf, " [ring]");
+	if (p->misc2 & PD67_MC2_DYNAMIC_MODE)
+		strcat(buf, " [dyn mode]");
+	if (p->misc2 & PD67_MC2_FREQ_BYPASS)
+		strcat(buf, " [freq bypass]");
+	if (p->misc1 & PD67_MC1_INPACK_ENA)
+		strcat(buf, " [inpack]");
+	if (p->misc2 & PD67_MC2_IRQ15_RI)
+		mask &= ~0x8000;
+	if (has_led > 0) {
+		strcat(buf, " [led]");
+		mask &= ~0x1000;
+	}
+	if (has_dma > 0) {
+		strcat(buf, " [dma]");
+		mask &= ~0x0600;
+	}
+	if (!(t->flags & IS_VIA)) {
+		if (setup_time >= 0)
+			p->timer[0] = p->timer[3] = setup_time;
+		if (cmd_time > 0) {
+			p->timer[1] = cmd_time;
+			p->timer[4] = cmd_time * 2 + 4;
+		}
+		if (p->timer[1] == 0) {
+			p->timer[1] = 6;
+			p->timer[4] = 16;
+			if (p->timer[0] == 0)
+				p->timer[0] = p->timer[3] = 1;
+		}
+		if (recov_time >= 0)
+			p->timer[2] = p->timer[5] = recov_time;
+		buf += strlen(buf);
+		sprintf(buf, " [%d/%d/%d] [%d/%d/%d]", p->timer[0], p->timer[1],
+			p->timer[2], p->timer[3], p->timer[4], p->timer[5]);
+	}
+	return mask;
 }
 
 /*======================================================================
@@ -397,43 +402,43 @@ static u_int __init cirrus_set_opts(u_sh
 
 static void vg46x_get_state(u_short s)
 {
-    vg46x_state_t *p = &socket[s].state.vg46x;
-    p->ctl = i365_get(s, VG468_CTL);
-    if (socket[s].type == IS_VG469)
-	p->ema = i365_get(s, VG469_EXT_MODE);
+	vg46x_state_t *p = &socket[s].state.vg46x;
+	p->ctl = i365_get(s, VG468_CTL);
+	if (socket[s].type == IS_VG469)
+		p->ema = i365_get(s, VG469_EXT_MODE);
 }
 
 static void vg46x_set_state(u_short s)
 {
-    vg46x_state_t *p = &socket[s].state.vg46x;
-    i365_set(s, VG468_CTL, p->ctl);
-    if (socket[s].type == IS_VG469)
-	i365_set(s, VG469_EXT_MODE, p->ema);
+	vg46x_state_t *p = &socket[s].state.vg46x;
+	i365_set(s, VG468_CTL, p->ctl);
+	if (socket[s].type == IS_VG469)
+		i365_set(s, VG469_EXT_MODE, p->ema);
 }
 
 static u_int __init vg46x_set_opts(u_short s, char *buf)
 {
-    vg46x_state_t *p = &socket[s].state.vg46x;
-    
-    flip(p->ctl, VG468_CTL_ASYNC, async_clock);
-    flip(p->ema, VG469_MODE_CABLE, cable_mode);
-    if (p->ctl & VG468_CTL_ASYNC)
-	strcat(buf, " [async]");
-    if (p->ctl & VG468_CTL_INPACK)
-	strcat(buf, " [inpack]");
-    if (socket[s].type == IS_VG469) {
-	u_char vsel = i365_get(s, VG469_VSELECT);
-	if (vsel & VG469_VSEL_EXT_STAT) {
-	    strcat(buf, " [ext mode]");
-	    if (vsel & VG469_VSEL_EXT_BUS)
-		strcat(buf, " [isa buf]");
-	}
-	if (p->ema & VG469_MODE_CABLE)
-	    strcat(buf, " [cable]");
-	if (p->ema & VG469_MODE_COMPAT)
-	    strcat(buf, " [c step]");
-    }
-    return 0xffff;
+	vg46x_state_t *p = &socket[s].state.vg46x;
+
+	flip(p->ctl, VG468_CTL_ASYNC, async_clock);
+	flip(p->ema, VG469_MODE_CABLE, cable_mode);
+	if (p->ctl & VG468_CTL_ASYNC)
+		strcat(buf, " [async]");
+	if (p->ctl & VG468_CTL_INPACK)
+		strcat(buf, " [inpack]");
+	if (socket[s].type == IS_VG469) {
+		u_char vsel = i365_get(s, VG469_VSELECT);
+		if (vsel & VG469_VSEL_EXT_STAT) {
+			strcat(buf, " [ext mode]");
+			if (vsel & VG469_VSEL_EXT_BUS)
+				strcat(buf, " [isa buf]");
+		}
+		if (p->ema & VG469_MODE_CABLE)
+			strcat(buf, " [cable]");
+		if (p->ema & VG469_MODE_COMPAT)
+			strcat(buf, " [c step]");
+	}
+	return 0xffff;
 }
 
 /*======================================================================
@@ -444,49 +449,50 @@ static u_int __init vg46x_set_opts(u_sho
 
 static void get_bridge_state(u_short s)
 {
-    struct i82365_socket *t = &socket[s];
-    if (t->flags & IS_CIRRUS)
-	cirrus_get_state(s);
-    else if (t->flags & IS_VADEM)
-	vg46x_get_state(s);
+	struct i82365_socket *t = &socket[s];
+	if (t->flags & IS_CIRRUS)
+		cirrus_get_state(s);
+	else if (t->flags & IS_VADEM)
+		vg46x_get_state(s);
 }
 
 static void set_bridge_state(u_short s)
 {
-    struct i82365_socket *t = &socket[s];
-    if (t->flags & IS_CIRRUS)
-	cirrus_set_state(s);
-    else {
-	i365_set(s, I365_GBLCTL, 0x00);
-	i365_set(s, I365_GENCTL, 0x00);
-    }
-    i365_bflip(s, I365_INTCTL, I365_INTR_ENA, t->intr);
-    if (t->flags & IS_VADEM)
-	vg46x_set_state(s);
+	struct i82365_socket *t = &socket[s];
+	if (t->flags & IS_CIRRUS)
+		cirrus_set_state(s);
+	else {
+		i365_set(s, I365_GBLCTL, 0x00);
+		i365_set(s, I365_GENCTL, 0x00);
+	}
+	i365_bflip(s, I365_INTCTL, I365_INTR_ENA, t->intr);
+	if (t->flags & IS_VADEM)
+		vg46x_set_state(s);
 }
 
 static u_int __init set_bridge_opts(u_short s, u_short ns)
 {
-    u_short i;
-    u_int m = 0xffff;
-    char buf[128];
-
-    for (i = s; i < s+ns; i++) {
-	if (socket[i].flags & IS_ALIVE) {
-	    printk(KERN_INFO "    host opts [%d]: already alive!\n", i);
-	    continue;
-	}
-	buf[0] = '\0';
-	get_bridge_state(i);
-	if (socket[i].flags & IS_CIRRUS)
-	    m = cirrus_set_opts(i, buf);
-	else if (socket[i].flags & IS_VADEM)
-	    m = vg46x_set_opts(i, buf);
-	set_bridge_state(i);
-	printk(KERN_INFO "    host opts [%d]:%s\n", i,
-	       (*buf) ? buf : " none");
-    }
-    return m;
+	u_short i;
+	u_int m = 0xffff;
+	char buf[128];
+
+	for (i = s; i < s + ns; i++) {
+		if (socket[i].flags & IS_ALIVE) {
+			printk(KERN_INFO "    host opts [%d]: already alive!\n",
+			       i);
+			continue;
+		}
+		buf[0] = '\0';
+		get_bridge_state(i);
+		if (socket[i].flags & IS_CIRRUS)
+			m = cirrus_set_opts(i, buf);
+		else if (socket[i].flags & IS_VADEM)
+			m = vg46x_set_opts(i, buf);
+		set_bridge_state(i);
+		printk(KERN_INFO "    host opts [%d]:%s\n", i,
+		       (*buf) ? buf : " none");
+	}
+	return m;
 }
 
 /*======================================================================
@@ -500,81 +506,85 @@ static u_short irq_sock;
 
 static irqreturn_t i365_count_irq(int irq, void *dev, struct pt_regs *regs)
 {
-    i365_get(irq_sock, I365_CSC);
-    irq_hits++;
-    debug(2, "-> hit on irq %d\n", irq);
-    return IRQ_HANDLED;
+	i365_get(irq_sock, I365_CSC);
+	irq_hits++;
+	debug(2, "-> hit on irq %d\n", irq);
+	return IRQ_HANDLED;
 }
 
 static u_int __init test_irq(u_short sock, int irq)
 {
-    debug(2, "  testing ISA irq %d\n", irq);
-    if (request_irq(irq, i365_count_irq, 0, "scan", i365_count_irq) != 0)
-	return 1;
-    irq_hits = 0; irq_sock = sock;
-    msleep(10);
-    if (irq_hits) {
+	debug(2, "  testing ISA irq %d\n", irq);
+	if (request_irq(irq, i365_count_irq, 0, "scan", i365_count_irq) != 0)
+		return 1;
+	irq_hits = 0;
+	irq_sock = sock;
+	msleep(10);
+	if (irq_hits) {
+		free_irq(irq, i365_count_irq);
+		debug(2, "    spurious hit!\n");
+		return 1;
+	}
+
+	/* Generate one interrupt */
+	i365_set(sock, I365_CSCINT, I365_CSC_DETECT | (irq << 4));
+	i365_bset(sock, I365_GENCTL, I365_CTL_SW_IRQ);
+	udelay(1000);
+
 	free_irq(irq, i365_count_irq);
-	debug(2, "    spurious hit!\n");
-	return 1;
-    }
-
-    /* Generate one interrupt */
-    i365_set(sock, I365_CSCINT, I365_CSC_DETECT | (irq << 4));
-    i365_bset(sock, I365_GENCTL, I365_CTL_SW_IRQ);
-    udelay(1000);
-
-    free_irq(irq, i365_count_irq);
-
-    /* mask all interrupts */
-    i365_set(sock, I365_CSCINT, 0);
-    debug(2, "    hits = %d\n", irq_hits);
-    
-    return (irq_hits != 1);
+
+	/* mask all interrupts */
+	i365_set(sock, I365_CSCINT, 0);
+	debug(2, "    hits = %d\n", irq_hits);
+
+	return (irq_hits != 1);
 }
 
 static u_int __init isa_scan(u_short sock, u_int mask0)
 {
-    u_int mask1 = 0;
-    int i;
+	u_int mask1 = 0;
+	int i;
 
 #ifdef __alpha__
 #define PIC 0x4d0
-    /* Don't probe level-triggered interrupts -- reserved for PCI */
-    mask0 &= ~(inb(PIC) | (inb(PIC+1) << 8));
+	/* Don't probe level-triggered interrupts -- reserved for PCI */
+	mask0 &= ~(inb(PIC) | (inb(PIC + 1) << 8));
 #endif
-    
-    if (do_scan) {
-	set_bridge_state(sock);
-	i365_set(sock, I365_CSCINT, 0);
-	for (i = 0; i < 16; i++)
-	    if ((mask0 & (1 << i)) && (test_irq(sock, i) == 0))
-		mask1 |= (1 << i);
-	for (i = 0; i < 16; i++)
-	    if ((mask1 & (1 << i)) && (test_irq(sock, i) != 0))
-		mask1 ^= (1 << i);
-    }
-    
-    printk(KERN_INFO "    ISA irqs (");
-    if (mask1) {
-	printk("scanned");
-    } else {
-	/* Fallback: just find interrupts that aren't in use */
+
+	if (do_scan) {
+		set_bridge_state(sock);
+		i365_set(sock, I365_CSCINT, 0);
+		for (i = 0; i < 16; i++)
+			if ((mask0 & (1 << i)) && (test_irq(sock, i) == 0))
+				mask1 |= (1 << i);
+		for (i = 0; i < 16; i++)
+			if ((mask1 & (1 << i)) && (test_irq(sock, i) != 0))
+				mask1 ^= (1 << i);
+	}
+
+	printk(KERN_INFO "    ISA irqs (");
+	if (mask1) {
+		printk("scanned");
+	} else {
+		/* Fallback: just find interrupts that aren't in use */
+		for (i = 0; i < 16; i++)
+			if ((mask0 & (1 << i)) && (_check_irq(i, 0) == 0))
+				mask1 |= (1 << i);
+		printk("default");
+		/* If scan failed, default to polled status */
+		if (!cs_irq && (poll_interval == 0))
+			poll_interval = HZ;
+	}
+	printk(") = ");
+
 	for (i = 0; i < 16; i++)
-	    if ((mask0 & (1 << i)) && (_check_irq(i, 0) == 0))
-		mask1 |= (1 << i);
-	printk("default");
-	/* If scan failed, default to polled status */
-	if (!cs_irq && (poll_interval == 0)) poll_interval = HZ;
-    }
-    printk(") = ");
-    
-    for (i = 0; i < 16; i++)
-	if (mask1 & (1<<i))
-	    printk("%s%d", ((mask1 & ((1<<i)-1)) ? "," : ""), i);
-    if (mask1 == 0) printk("none!");
-    
-    return mask1;
+		if (mask1 & (1 << i))
+			printk("%s%d", ((mask1 & ((1 << i) - 1)) ? "," : ""),
+			       i);
+	if (mask1 == 0)
+		printk("none!");
+
+	return mask1;
 }
 
 /*====================================================================*/
@@ -583,69 +593,75 @@ static u_int __init isa_scan(u_short soc
 
 static int to_cycles(int ns)
 {
-    return ns/cycle_time;
+	return ns / cycle_time;
 }
 
 /*====================================================================*/
 
 static int __init identify(kio_addr_t port, u_short sock)
 {
-    u_char val;
-    int type = -1;
+	u_char val;
+	int type = -1;
 
-    /* Use the next free entry in the socket table */
-    socket[sockets].ioaddr = port;
-    socket[sockets].psock = sock;
-    
-    /* Wake up a sleepy Cirrus controller */
-    if (wakeup) {
-	i365_bclr(sockets, PD67_MISC_CTL_2, PD67_MC2_SUSPEND);
-	/* Pause at least 50 ms */
-	mdelay(50);
-    }
-    
-    if ((val = i365_get(sockets, I365_IDENT)) & 0x70)
-	return -1;
-    switch (val) {
-    case 0x82:
-	type = IS_I82365A; break;
-    case 0x83:
-	type = IS_I82365B; break;
-    case 0x84:
-	type = IS_I82365DF; break;
-    case 0x88: case 0x89: case 0x8a:
-	type = IS_IBM; break;
-    }
-    
-    /* Check for Vadem VG-468 chips */
-    outb(0x0e, port);
-    outb(0x37, port);
-    i365_bset(sockets, VG468_MISC, VG468_MISC_VADEMREV);
-    val = i365_get(sockets, I365_IDENT);
-    if (val & I365_IDENT_VADEM) {
-	i365_bclr(sockets, VG468_MISC, VG468_MISC_VADEMREV);
-	type = ((val & 7) >= 4) ? IS_VG469 : IS_VG468;
-    }
-
-    /* Check for Ricoh chips */
-    val = i365_get(sockets, RF5C_CHIP_ID);
-    if ((val == RF5C_CHIP_RF5C296) || (val == RF5C_CHIP_RF5C396))
-	type = IS_RF5Cx96;
-    
-    /* Check for Cirrus CL-PD67xx chips */
-    i365_set(sockets, PD67_CHIP_INFO, 0);
-    val = i365_get(sockets, PD67_CHIP_INFO);
-    if ((val & PD67_INFO_CHIP_ID) == PD67_INFO_CHIP_ID) {
+	/* Use the next free entry in the socket table */
+	socket[sockets].ioaddr = port;
+	socket[sockets].psock = sock;
+
+	/* Wake up a sleepy Cirrus controller */
+	if (wakeup) {
+		i365_bclr(sockets, PD67_MISC_CTL_2, PD67_MC2_SUSPEND);
+		/* Pause at least 50 ms */
+		mdelay(50);
+	}
+
+	if ((val = i365_get(sockets, I365_IDENT)) & 0x70)
+		return -1;
+	switch (val) {
+	case 0x82:
+		type = IS_I82365A;
+		break;
+	case 0x83:
+		type = IS_I82365B;
+		break;
+	case 0x84:
+		type = IS_I82365DF;
+		break;
+	case 0x88:
+	case 0x89:
+	case 0x8a:
+		type = IS_IBM;
+		break;
+	}
+
+	/* Check for Vadem VG-468 chips */
+	outb(0x0e, port);
+	outb(0x37, port);
+	i365_bset(sockets, VG468_MISC, VG468_MISC_VADEMREV);
+	val = i365_get(sockets, I365_IDENT);
+	if (val & I365_IDENT_VADEM) {
+		i365_bclr(sockets, VG468_MISC, VG468_MISC_VADEMREV);
+		type = ((val & 7) >= 4) ? IS_VG469 : IS_VG468;
+	}
+
+	/* Check for Ricoh chips */
+	val = i365_get(sockets, RF5C_CHIP_ID);
+	if ((val == RF5C_CHIP_RF5C296) || (val == RF5C_CHIP_RF5C396))
+		type = IS_RF5Cx96;
+
+	/* Check for Cirrus CL-PD67xx chips */
+	i365_set(sockets, PD67_CHIP_INFO, 0);
 	val = i365_get(sockets, PD67_CHIP_INFO);
-	if ((val & PD67_INFO_CHIP_ID) == 0) {
-	    type = (val & PD67_INFO_SLOTS) ? IS_PD672X : IS_PD6710;
-	    i365_set(sockets, PD67_EXT_INDEX, 0xe5);
-	    if (i365_get(sockets, PD67_EXT_INDEX) != 0xe5)
-		type = IS_VT83C469;
-	}
-    }
-    return type;
-} /* identify */
+	if ((val & PD67_INFO_CHIP_ID) == PD67_INFO_CHIP_ID) {
+		val = i365_get(sockets, PD67_CHIP_INFO);
+		if ((val & PD67_INFO_CHIP_ID) == 0) {
+			type = (val & PD67_INFO_SLOTS) ? IS_PD672X : IS_PD6710;
+			i365_set(sockets, PD67_EXT_INDEX, 0xe5);
+			if (i365_get(sockets, PD67_EXT_INDEX) != 0xe5)
+				type = IS_VT83C469;
+		}
+	}
+	return type;
+}				/* identify */
 
 /*======================================================================
 
@@ -658,112 +674,114 @@ static int __init identify(kio_addr_t po
 
 static int __init is_alive(u_short sock)
 {
-    u_char stat;
-    kio_addr_t start, stop;
-    
-    stat = i365_get(sock, I365_STATUS);
-    start = i365_get_pair(sock, I365_IO(0)+I365_W_START);
-    stop = i365_get_pair(sock, I365_IO(0)+I365_W_STOP);
-    if ((stat & I365_CS_DETECT) && (stat & I365_CS_POWERON) &&
-	(i365_get(sock, I365_INTCTL) & I365_PC_IOCARD) &&
-	(i365_get(sock, I365_ADDRWIN) & I365_ENA_IO(0)) &&
-	((start & 0xfeef) != 0x02e8)) {
-	if (!request_region(start, stop-start+1, "i82365"))
-	    return 1;
-	release_region(start, stop-start+1);
-    }
+	u_char stat;
+	kio_addr_t start, stop;
+
+	stat = i365_get(sock, I365_STATUS);
+	start = i365_get_pair(sock, I365_IO(0) + I365_W_START);
+	stop = i365_get_pair(sock, I365_IO(0) + I365_W_STOP);
+	if ((stat & I365_CS_DETECT) && (stat & I365_CS_POWERON) &&
+	    (i365_get(sock, I365_INTCTL) & I365_PC_IOCARD) &&
+	    (i365_get(sock, I365_ADDRWIN) & I365_ENA_IO(0)) &&
+	    ((start & 0xfeef) != 0x02e8)) {
+		if (!request_region(start, stop - start + 1, "i82365"))
+			return 1;
+		release_region(start, stop - start + 1);
+	}
 
-    return 0;
+	return 0;
 }
 
 /*====================================================================*/
 
 static void __init add_socket(kio_addr_t port, int psock, int type)
 {
-    socket[sockets].ioaddr = port;
-    socket[sockets].psock = psock;
-    socket[sockets].type = type;
-    socket[sockets].flags = pcic[type].flags;
-    if (is_alive(sockets))
-	socket[sockets].flags |= IS_ALIVE;
-    sockets++;
+	socket[sockets].ioaddr = port;
+	socket[sockets].psock = psock;
+	socket[sockets].type = type;
+	socket[sockets].flags = pcic[type].flags;
+	if (is_alive(sockets))
+		socket[sockets].flags |= IS_ALIVE;
+	sockets++;
 }
 
 static void __init add_pcic(int ns, int type)
 {
-    u_int mask = 0, i, base;
-    int isa_irq = 0;
-    struct i82365_socket *t = &socket[sockets-ns];
-
-    base = sockets-ns;
-    if (base == 0) printk("\n");
-    printk(KERN_INFO "  %s", pcic[type].name);
-    printk(" ISA-to-PCMCIA at port %#lx ofs 0x%02x",
-	       t->ioaddr, t->psock*0x40);
-    printk(", %d socket%s\n", ns, ((ns > 1) ? "s" : ""));
-
-    /* Set host options, build basic interrupt mask */
-    if (irq_list_count == 0)
-	mask = irq_mask;
-    else
-	for (i = mask = 0; i < irq_list_count; i++)
-	    mask |= (1<<irq_list[i]);
-    mask &= I365_MASK & set_bridge_opts(base, ns);
-    /* Scan for ISA interrupts */
-    mask = isa_scan(base, mask);
-        
-    /* Poll if only two interrupts available */
-    if (!poll_interval) {
-	u_int tmp = (mask & 0xff20);
-	tmp = tmp & (tmp-1);
-	if ((tmp & (tmp-1)) == 0)
-	    poll_interval = HZ;
-    }
-    /* Only try an ISA cs_irq if this is the first controller */
-    if (!grab_irq && (cs_irq || !poll_interval)) {
-	/* Avoid irq 12 unless it is explicitly requested */
-	u_int cs_mask = mask & ((cs_irq) ? (1<<cs_irq) : ~(1<<12));
-	for (cs_irq = 15; cs_irq > 0; cs_irq--)
-	    if ((cs_mask & (1 << cs_irq)) &&
-		(_check_irq(cs_irq, 0) == 0))
-		break;
-	if (cs_irq) {
-	    grab_irq = 1;
-	    isa_irq = cs_irq;
-	    printk(" status change on irq %d\n", cs_irq);
+	u_int mask = 0, i, base;
+	int isa_irq = 0;
+	struct i82365_socket *t = &socket[sockets - ns];
+
+	base = sockets - ns;
+	if (base == 0)
+		printk("\n");
+	printk(KERN_INFO "  %s", pcic[type].name);
+	printk(" ISA-to-PCMCIA at port %#lx ofs 0x%02x",
+	       t->ioaddr, t->psock * 0x40);
+	printk(", %d socket%s\n", ns, ((ns > 1) ? "s" : ""));
+
+	/* Set host options, build basic interrupt mask */
+	if (irq_list_count == 0)
+		mask = irq_mask;
+	else
+		for (i = mask = 0; i < irq_list_count; i++)
+			mask |= (1 << irq_list[i]);
+	mask &= I365_MASK & set_bridge_opts(base, ns);
+	/* Scan for ISA interrupts */
+	mask = isa_scan(base, mask);
+
+	/* Poll if only two interrupts available */
+	if (!poll_interval) {
+		u_int tmp = (mask & 0xff20);
+		tmp = tmp & (tmp - 1);
+		if ((tmp & (tmp - 1)) == 0)
+			poll_interval = HZ;
+	}
+	/* Only try an ISA cs_irq if this is the first controller */
+	if (!grab_irq && (cs_irq || !poll_interval)) {
+		/* Avoid irq 12 unless it is explicitly requested */
+		u_int cs_mask = mask & ((cs_irq) ? (1 << cs_irq) : ~(1 << 12));
+		for (cs_irq = 15; cs_irq > 0; cs_irq--)
+			if ((cs_mask & (1 << cs_irq)) &&
+			    (_check_irq(cs_irq, 0) == 0))
+				break;
+		if (cs_irq) {
+			grab_irq = 1;
+			isa_irq = cs_irq;
+			printk(" status change on irq %d\n", cs_irq);
+		}
+	}
+
+	if (!isa_irq) {
+		if (poll_interval == 0)
+			poll_interval = HZ;
+		printk(" polling interval = %d ms\n",
+		       poll_interval * 1000 / HZ);
+
+	}
+
+	/* Update socket interrupt information, capabilities */
+	for (i = 0; i < ns; i++) {
+		t[i].socket.features |= SS_CAP_PCCARD;
+		t[i].socket.map_size = 0x1000;
+		t[i].socket.irq_mask = mask;
+		t[i].cs_irq = isa_irq;
 	}
-    }
-    
-    if (!isa_irq) {
-	if (poll_interval == 0)
-	    poll_interval = HZ;
-	printk(" polling interval = %d ms\n",
-	       poll_interval * 1000 / HZ);
-	
-    }
-    
-    /* Update socket interrupt information, capabilities */
-    for (i = 0; i < ns; i++) {
-	t[i].socket.features |= SS_CAP_PCCARD;
-	t[i].socket.map_size = 0x1000;
-	t[i].socket.irq_mask = mask;
-	t[i].cs_irq = isa_irq;
-    }
 
-} /* add_pcic */
+}				/* add_pcic */
 
 /*====================================================================*/
 
 #ifdef CONFIG_PNP
 static struct isapnp_device_id id_table[] __initdata = {
-	{ 	ISAPNP_ANY_ID, ISAPNP_ANY_ID, ISAPNP_VENDOR('P', 'N', 'P'),
-		ISAPNP_FUNCTION(0x0e00), (unsigned long) "Intel 82365-Compatible" },
-	{ 	ISAPNP_ANY_ID, ISAPNP_ANY_ID, ISAPNP_VENDOR('P', 'N', 'P'),
-		ISAPNP_FUNCTION(0x0e01), (unsigned long) "Cirrus Logic CL-PD6720" },
-	{ 	ISAPNP_ANY_ID, ISAPNP_ANY_ID, ISAPNP_VENDOR('P', 'N', 'P'),
-		ISAPNP_FUNCTION(0x0e02), (unsigned long) "VLSI VL82C146" },
-	{	0 }
+	{ISAPNP_ANY_ID, ISAPNP_ANY_ID, ISAPNP_VENDOR('P', 'N', 'P'),
+	 ISAPNP_FUNCTION(0x0e00), (unsigned long)"Intel 82365-Compatible"},
+	{ISAPNP_ANY_ID, ISAPNP_ANY_ID, ISAPNP_VENDOR('P', 'N', 'P'),
+	 ISAPNP_FUNCTION(0x0e01), (unsigned long)"Cirrus Logic CL-PD6720"},
+	{ISAPNP_ANY_ID, ISAPNP_ANY_ID, ISAPNP_VENDOR('P', 'N', 'P'),
+	 ISAPNP_FUNCTION(0x0e02), (unsigned long)"VLSI VL82C146"},
+	{0}
 };
+
 MODULE_DEVICE_TABLE(isapnp, id_table);
 
 static struct pnp_dev *i82365_pnpdev;
